System.ServiceModel 4.0.0.0 System.Enum

The URI for the endpoint on which a service listens can be set programmatically using the property and the value of the for that endpoint is set using the property. The default value for is . The default value for is .

The value of these properties may also be set using the property and the property.

When the value of the is set to the transport is responsible for creating a unique URI. Different transports used by indigo1 generate this unique URI differently

For TCP in exclusive mode ( is false) this means binding to a uniquely available port number.

For TCP in port sharing mode ( is true) and for all of the other existing indigo2 transports, this means appending a unique path (a GUID) to the end of the .

When the value of the is set to mode, the transport uses the exactly as it is provided, without modifying it to make it unique.

Indicates whether the transport must ensure that the URI provided for the service to listen on is unique or can be used exactly as provided.

- Field
  4.0.0.0
  System.ServiceModel.Description.ListenUriMode

  Uses the exactly as provided. This is the default value.

- Field
  4.0.0.0
  System.ServiceModel.Description.ListenUriMode

  Specifies that the transport should use a transport-specific mechanism to ensure that the is unique.